Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590472 - slow booting without rhgb option
slow booting without rhgb option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 13:58 EDT by Jan Bušta
Modified: 2010-12-03 09:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:53:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Bušta 2010-05-09 13:58:23 EDT
Description of problem:


Version-Release number of selected component (if applicable):
kernel-2.6.32.12-115.fc12.x86_64

How reproducible:
Setting up the kernel option without rhgb. 

Steps to Reproduce:
1. delete the option rhgb from /etc/grub.conf kernel line

Actual results:
It takes 30s to 5 minutes to the start Fedora.

Expected results:
Booting without rhgb (see the services strating) should be fast as it was before eg (kernel-2.6.32.11-105.fc12.x86_64).

Additional info:

I didn't try to add the rhgb option to kernel-2.6.32.12-114.fc12.x86_64 but it had the same symptoms.
Comment 1 Chuck Ebbert 2010-05-17 23:32:55 EDT
You can use plymouth-set-default-theme to change the theme to "details" if you want to see the services starting.
Comment 2 Jan Bušta 2010-05-18 05:02:25 EDT
No, it doesn't work. Setting up plymouth-set-default-theme to default has no influence to showing the services start. I tried with both kernel options "kernel /vmlinuz-2.6.32.12-115.fc12.x86_64 ro root=/dev/mapper/fedora-system quiet" and "kernel /vmlinuz-2.6.32.12-115.fc12.x86_64 ro root=/dev/mapper/fedora-system rhgb quiet". If there is quiet option the system just waits with black screen (if you switch by typing Esc to the "blue bubble loading" you can see, how it is fill up - but this all is before the kernel boot ends.) If there is a quiet option the kernel waits between "firewire_core: created device fw0: GUID cff45a84fffcf2fe, S400" and "dracut: Scanning devices sda2 for LVM volume groups" (or sometimes other random stage). It sometimes works fine (kernel boots quick).

My smolt profile:  http://www.smolts.org/client/show/pub_ed046183-3eb7-417a-9f75-ab053194a18e
Comment 3 Bug Zapper 2010-11-03 11:14:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:53:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.